var game = new Phaser.Game(800, 550, Phaser.CANVAS, 'phaser-example', { preload: preload, create: create, update: update, render: render });
var player;
var wasp;

function preload() {
    //  You can fill the preloader with as assets 
    game.load.image('flyer', 'assets/sprites/phaser-dude.png');
	game.load.image('wasp', 'assets/sprites/wasp.png');
}

function create() {

    game.physics.startSystem(Phaser.Physics.ARCADE);

    //  This creates a simple sprite that is using our 
	// loaded image and displays it on-screen and assign it to a variable
    player = game.add.sprite(400, 300, 'flyer');
	game.physics.enable(player, Phaser.Physics.ARCADE);
	// set an anchor if we would like to rotate the sprite around this xy-points.
	// 0,0 eq upper left corner, and 1,1 eq lower right corner.
	player.anchor.setTo(0.5, 0.5);
	//  This makes the game world bounce-able
	player.body.collideWorldBounds = true;
	
	wasp = game.add.sprite(450, 150, 'wasp');
	game.physics.enable(wasp, Phaser.Physics.ARCADE);
	// set an anchor if we would like to rotate the sprite around this xy-points.
	// 0,0 eq upper left corner, and 1,1 eq lower right corner.
	wasp.anchor.setTo(0.5, 0.5);
	//  This makes the game world bounce-able
	wasp.body.collideWorldBounds = true;
}

function update () {
//rotate the wasp enemy
wasp.rotation += 0.01;
}

function render () {

}



